# Get all account users

`GET https://api.parklio.com/v2/account-users`

This endpoint allows the user to list all account users

**Auth:** `Authorization: Bearer <token>`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `page` | number | no | Page number, starting at 1. See [Paging](/api/conventions#paging). |
| `size` | number | no | Items per page: 10 by default, at most 300. See [Paging](/api/conventions#paging). |
| `filter` | string[] | no | Filter as `field:rule:value`, for example `lot_id:eq:7`. Repeat `filter` to combine filters; all must match. Fields: `account_id`, `name`, `email`, `account_role_id`, `account_name`, `lots`. See [Filtering](/api/conventions#filtering). |
| `sort` | string[] | no | Sort as `field:asc` or `field:desc`. Send it once. Fields: `name`, `id`, `email`. See [Sorting](/api/conventions#sorting). |

## Responses

### 200

```json
{
  "success": true,
  "meta": {
    "total": 100,
    "per_page": 10,
    "current_page": 1,
    "last_page": 1,
    "first_page": 1,
    "first_page_url": "/?page=2",
    "last_page_url": "/?page=10",
    "next_page_url": "/?page=3",
    "previous_page_url": "/?page=1"
  },
  "data": [
    {
      "id": 0,
      "account_user_role_id": 1,
      "account_id": 0,
      "email": "john.doe@example.com",
      "name": "John Doe",
      "phone": "+385 555 5555",
      "language_tag": "fr-BE",
      "country_code": "BE",
      "email_confirmed": 1,
      "created_at": "2026-01-15T09:30:00.000Z",
      "updated_at": "2026-01-15T09:30:00.000Z",
      "account": {
        "id": 1,
        "account_role_id": 1,
        "auto_extend": {},
        "name": "John Doe",
        "contact_name": "John Doe",
        "contact_email": "john.doe@example.com",
        "contact_phone": "+385 666 6666",
        "billing_title": "string",
        "vat": "25%",
        "address": "Put Stinica 12",
        "city": "Split",
        "zip_code": "21000",
        "created_at": {},
        "updated_at": {},
        "infinite_shares": 0,
        "account_role": {
          "id": 2,
          "name": "PMS",
          "created_at": {},
          "updated_at": {}
        },
        "authorities": []
      },
      "account_user_role": {
        "id": 1,
        "name": "Super Admin",
        "created_at": {},
        "updated_at": {}
      },
      "lots": {
        "id": 1,
        "name": "Default Lot",
        "address": "Put Stinica 12"
      }
    }
  ]
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

